import request from '@/utils/request'
const service_name = "oil-site"
const group_name = "oilSiteOrderInfo"
export default {
	// 下单
	createOrder(data) {
		 // data = Object.assign(data,{'clientBelong':'ZHONGPIN',});
		 console.log(data,'datadatadata')
		return request({
			url: `/${service_name}/${group_name}/createOrder`,
			method: 'post',
			data: data
		})
	},
	// 主动支付
	payOrder(data) {
		return request({
			url: `/${service_name}/${group_name}/payOrder`,
			method: 'post',
			data: data
		})
	},
	aggregatePay(data) {
		return request({
			url: `/${service_name}/${group_name}/aggregatePay`,
			method: 'post',
			data: data
		})
	},
	getOrderInfoByPage(data) {
		return request({
			url: `/${service_name}/${group_name}/getOrderInfoByPage`,
			method: 'post',
			data: data
		})
	},
	getOrderPayInfo(id) {
		return request({
			url: `/${service_name}/${group_name}/getOrderPayInfo/${id}`,
			method: 'get'
		})
	},
	cancelOrder(id) {
		return request({
			url: `/${service_name}/${group_name}/cancelOrder/${id}`,
			method: 'get'
		})
	},
	delOrder(id) {
		return request({
			url: `/${service_name}/${group_name}/delOrder/${id}`,
			method: 'get'
		})
	},
	selOrder(id) {
		return request({
			url: `/${service_name}/${group_name}/selOrder/${id}`,
			method: 'get'
		})
	},
}
